com.genesyslab.wfm8.API.service.config850

## Class CfgPlanningPeriod

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgPlanningPeriod

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgPlanningPeriod
      extends java.lang.Object
      implements java.io.Serializable

  Planning Period information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `periodEnd` Planning Period End Date (`OleDateTime`)
    `protected double` | `periodStart` Planning Period Start Date (`OleDateTime`)
    `protected double` | `periodWeekEnd` Planning Period Week End Date (`OleDateTime`)
    `protected double` | `periodWeekStart` Planning Period Week Start Date (`OleDateTime`)
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgPlanningPeriod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getPeriodEnd()` Gets the value of the periodEnd property.
    `double` | `getPeriodStart()` Gets the value of the periodStart property.
    `double` | `getPeriodWeekEnd()` Gets the value of the periodWeekEnd property.
    `double` | `getPeriodWeekStart()` Gets the value of the periodWeekStart property.
    `int` | `hashCode()`
    `void` | `setPeriodEnd(double value)` Sets the value of the periodEnd property.
    `void` | `setPeriodStart(double value)` Sets the value of the periodStart property.
    `void` | `setPeriodWeekEnd(double value)` Sets the value of the periodWeekEnd property.
    `void` | `setPeriodWeekStart(double value)` Sets the value of the periodWeekStart property.
    `java.lang.String` | `toString()`
    `CfgPlanningPeriod` | `withPeriodEnd(double value)`
    `CfgPlanningPeriod` | `withPeriodStart(double value)`
    `CfgPlanningPeriod` | `withPeriodWeekEnd(double value)`
    `CfgPlanningPeriod` | `withPeriodWeekStart(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### periodStart

          protected double periodStart

      Planning Period Start Date (`OleDateTime`)

    - #### periodEnd

          protected double periodEnd

      Planning Period End Date (`OleDateTime`)

    - #### periodWeekStart

          protected double periodWeekStart

      Planning Period Week Start Date (`OleDateTime`)

    - #### periodWeekEnd

          protected double periodWeekEnd

      Planning Period Week End Date (`OleDateTime`)

  - ### Constructor Detail

    - #### CfgPlanningPeriod

          public CfgPlanningPeriod()

  - ### Method Detail

    - #### getPeriodStart

          public double getPeriodStart()

      Gets the value of the periodStart property.

    - #### setPeriodStart

          public void setPeriodStart(double value)

      Sets the value of the periodStart property.

    - #### getPeriodEnd

          public double getPeriodEnd()

      Gets the value of the periodEnd property.

    - #### setPeriodEnd

          public void setPeriodEnd(double value)

      Sets the value of the periodEnd property.

    - #### getPeriodWeekStart

          public double getPeriodWeekStart()

      Gets the value of the periodWeekStart property.

    - #### setPeriodWeekStart

          public void setPeriodWeekStart(double value)

      Sets the value of the periodWeekStart property.

    - #### getPeriodWeekEnd

          public double getPeriodWeekEnd()

      Gets the value of the periodWeekEnd property.

    - #### setPeriodWeekEnd

          public void setPeriodWeekEnd(double value)

      Sets the value of the periodWeekEnd property.

    - #### withPeriodStart

          public CfgPlanningPeriod withPeriodStart(double value)

    - #### withPeriodEnd

          public CfgPlanningPeriod withPeriodEnd(double value)

    - #### withPeriodWeekStart

          public CfgPlanningPeriod withPeriodWeekStart(double value)

    - #### withPeriodWeekEnd

          public CfgPlanningPeriod withPeriodWeekEnd(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.